Bug 1666236

Summary: dnf(8) does not document module provides subcommand
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: dnfAssignee: Lukáš Hrázký <lhrazky>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: jberan, jmracek, jrohel, lhrazky, mblaha, mhatina, packaging-team-maint, pkratoch, rpm-software-management, vmukhame
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: dnf-4.2.15-2.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-05 07:13:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Pisar 2019-01-15 10:05:29 UTC
dnf-4.0.10-1.fc30's manual page does not mention "dnf module provides" subcommand.

Comment 1 Ben Cotton 2019-08-13 18:56:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Lukáš Hrázký 2019-10-03 08:55:27 UTC
PR: https://github.com/rpm-software-management/dnf/pull/1483

Comment 3 Fedora Update System 2019-11-11 09:43:28 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 4 Fedora Update System 2019-11-11 09:44:00 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 5 Fedora Update System 2019-11-12 03:07:48 UTC
dnf-4.2.15-1.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 6 Petr Pisar 2019-11-12 07:19:10 UTC
I still cannot see the "module provides" in dnf(8) manual page:

root@fedora-32:~ # man dnf | grep 'module list'
       dnf [options] module list [--all] [module_name...]
       dnf [options] module list --enabled [module_name...]
       dnf [options] module list --disabled [module_name...]
       dnf [options] module list --installed [module_name...]
root@fedora-32:~ # man dnf | grep 'module provides'
root@fedora-32:~ # rpm -qf "$(man -aw dnf)"
dnf-4.2.11-2.fc32.noarch

Comment 7 Petr Pisar 2019-11-12 07:23:04 UTC
I see. I need dnf-4.2.15-1.fc32. Why is not dnf-4.2.15-1.fc32 in the repository?

$ koji list-tag-history --build dnf-4.2.15-1.fc32
Thu Nov  7 09:17:59 2019: dnf-4.2.15-1.fc32 tagged into f32-updates-candidate by pkratoch
Thu Nov  7 09:18:06 2019: dnf-4.2.15-1.fc32 untagged from f32-updates-candidate by autopen
Thu Nov  7 09:18:06 2019: dnf-4.2.15-1.fc32 tagged into f32-updates-testing-pending by autopen
Thu Nov  7 09:21:07 2019: dnf-4.2.15-1.fc32 untagged from f32-updates-testing-pending by bodhi
Thu Nov  7 09:21:07 2019: dnf-4.2.15-1.fc32 tagged into f32-updates-pending by bodhi [still active]
Thu Nov  7 09:21:08 2019: dnf-4.2.15-1.fc32 tagged into f32 by bodhi
Sat Nov  9 21:44:24 2019: dnf-4.2.15-1.fc32 untagged from f32 by kevin

Comment 8 Lukáš Hrázký 2019-11-12 09:44:12 UTC
Petr, there was an issue with the package, it will be released soon.

Comment 9 Fedora Update System 2019-11-13 04:56:16 UTC
dnf-4.2.15-1.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 10 Fedora Update System 2019-11-14 06:47:06 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 11 Fedora Update System 2019-11-14 06:50:53 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 12 Fedora Update System 2019-11-15 03:45:14 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 13 Fedora Update System 2019-11-15 04:38:45 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 14 Fedora Update System 2019-11-19 01:35:17 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-12-02 19:10:38 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Jan Beran 2020-04-27 09:24:17 UTC
mirror+